# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20070415
%global source_release 35
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/20th_21st_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt *.rtf
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Bodoni
%global fonts_summary            GFS Bodoni, a 20th century Greek font family
%global fonts_fonts              *.otf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Bodoni’s Greek types were the base for the first experimental font by Greek
Font Society, GFS Bodoni (1992-1993), which was designed by Takis Katsoulidis,
and digitized by George Matthiopoulos. The typeface is accompanied by a
matching Latin alphabet.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
60-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c -T
unzip -j -q  %{_sourcedir}/%{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt
chmod 644 %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
